# $Id$
# Authority: shuff
# Upstream: Scott Schneider <sschneid$gmail,com>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_majversion 1.13
%define real_release 3
%define real_version %{real_majversion}-%{real_release}

%define perl_prefix %{buildroot}%{_prefix}

Summary: Collect and display facts about the system
Name: pfacter
Version: %{real_majversion}_%{real_release}
Release: 1%{?dist}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/pfacter/

Packager: Steve Huff <shuff@vecna.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/S/SS/SSCHNEID/pfacter-%{real_version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{real_version}-%{release}-root
BuildArch: noarch

BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long)
BuildRequires: rpm-macros-rpmforge
Requires: /bin/dnsdomainname
Requires: /bin/hostname
Requires: /bin/mount
Requires: /bin/uname
Requires: /etc/redhat-release
Requires: perl
Requires: perl(Getopt::Long)
Requires: perl(Net::LDAPS)
Requires: /proc
Requires: /sbin/fdisk
Requires: /sbin/ifconfig
Requires: /usr/bin/hostid
Requires: /usr/bin/lsb_release
Requires: /usr/sbin/dmidecode

### remove autoreq Perl dependencies
%filter_from_requires /^perl.*/d
%filter_setup

%description

%prep
%setup -n %{name}-%{real_version}

# fix problem with modules generated by older versions of Dist::Zilla
#%{?el5:%{__perl} -pi -e '/.*ExtUtils::MakeMaker.*6\.31.*/ && s/6\.3\d/6.30/' Makefile.PL}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{perl_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install
#%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}

%{__install} -m755 -d %{buildroot}%{_bindir}
%{__install} -m755 pfacter %{buildroot}%{_bindir}

%{__install} -m644 pfacter.pod %{buildroot}%{perl_vendorlib}/Pfacter

# fix for stupid strip issue
#%{__chmod} -R u+w %{buildroot}/*

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes META.yml
%doc %{_mandir}/man?/*
%{_bindir}/*
%{perl_vendorlib}/Pfacter.pm
%{perl_vendorlib}/Pfacter/*
#%exclude %{perl_archlib}/perllocal.pod
%exclude %{perl_vendorlib}/pfacter.pod
%exclude %{perl_vendorarch}/auto/*/.packlist

%changelog
* Thu Feb 9 2012 Steve Huff <shuff@vecna.org> - 1.13_3-1
- Initial package.
